THINKFAN(1)

BEZEICHNUNG
thinkfan - Ein einfaches Programm zur Lüftersteuerung

ÜBERSICHT
thinkfan [-hnqDd] [-b BIAS] [-c KONFIGURATION] [-s SEKUNDEN] [-p [VERZÖGERUNG]]

BESCHREIBUNG
Thinkfan steuert die Lüfterdrehzahl anhand der in der Konfigurationsdatei eingestellten Temperaturgrenzen. Es kann Temperaturen aus drei möglichen Quellen lesen:

/proc/acpi/ibm/thermal
    was auf älteren Thinkpads vom Kernelmodul thinkpad_acpi bereitgestellt wird,

temp*_input-Dateien in sysfs
    was von hwmon-Treibern bereitgestellt wird, einschließlich thinkpad_acpi auf modernen Thinkpads,

Festplatten mit S.M.A.R.T.-Unterstützung
    Unter Verwendung von libatasmart, sofern thinkfan mit -DUSE_ATASMART=ON kompiliert wurde

Aus dem proprietären nVidia-Treiber
    Wenn der proprietäre nVidia-Treiber verwendet wird, ist für die Karte kein hwmon verfügbar. In dieser Situation kann Thinkfan die proprietäre NVML-API zum Ermitteln der Temperaturen verwenden.

Der Lüfter kann /proc/acpi/ibm/fan oder eine PWM-Datei in /sys/class/hwmon sein. In thinkfan.conf(5) finden Sie eine detaillierte Beschreibung der Konfigurationssyntax.

WARNUNG: Dieses Programm nimmt nur sehr einfache Plausibilitätsprüfungen Ihrer Konfiguration vor. Das bedeutet, dass Sie Ihre Temperaturgrenzen so wahnsinnig einstellen können, wie Sie wollen.

Es sind zwei allgemeine Betriebsmodi verfügbar:

  KOMPLEXER MODUS
Im komplexen Modus werden die Temperaturgrenzwerte für jeden Sensor definiert, der Thinkfan bekannt ist. Die Festlegung geeigneter Grenzwerte für jeden Sensor in Ihrem System wird wahrscheinlich etwas Experimentieren und gute Kenntnisse Ihrer Hardware erfordern, aber es ist der sicherste Weg, jede der Komponenten innerhalb deren sicheren Temperaturbereich zu halten. Siehe http://www.thinkwiki.org/wiki/Thermal_Sensors für Details dazu, welcher Sensor in einem Thinkpad welche Temperatur misst. Auf anderen Systemen müssen Sie das selbst herausfinden. In den Beispielkonfigurationen finden Sie die entsprechende Syntax.

  EINFACHER MODUS
Im einfachen Modus verwendet Thinkfan nur die jeweils höchste im System gefundene Temperatur. Das kann gefährlich sein, zum Beispiel bei Festplatten. Daher sollten Sie einen Korrekturwert für den Sensor festlegen, der die Temperatur Ihrer Festplatte oder Ihres Akkus misst (indem Sie 10-15 °C hinzufügen). In den Beispielkonfigurationsdateien finden Sie Beispiele dazu.

KONFIGURATION
Einige Beispielkonfigurationen werden im Quellpaket bereitgestellt. Details hierzu finden Sie in der Handbuchseite zur Konfiguration thinkfan.conf(5).

OPTIONEN

-h  zeigt eine kurze Hilfemeldung an

-s SEKUNDEN
    Maximale Anzahl an Sekunden zwischen den Temperaturaktualisierungen (Vorgabe: 5)

-b BIAS
    Gleitkommazahl (-10 bis 30) zum Steuern der Entwicklung der steigenden Temperatur. Wenn die Temperatur in einem Zyklus um mehr als 2 °C steigt, wird diese Zahl zur Ermittlung des Bias verwendet, das zur aktuell am höchsten gemessenen Temperatur im System hinzugefügt wird:
     current_tmax = current_tmax + delta_t * BIAS / 10 Dies bedeutet, dass negative Zahlen verwendet werden können, um kurze und abrupte Temperaturspitzen einzuebnen, die durch einige On-DIE-Sensoren verursacht werden. Im Modus »DANGEROUS« können Sie die Begrenzung auf -10 bis +30 aufheben. Beachten Sie, dass sich zwischen -b und einem negativen Element kein Leerraum befinden darf, da Getopt dies anderenfalls als Option interpretiert und fehlschlägt (das heißt, Sie schreiben -b-10 anstelle von -b -10). Vorgabe ist 15.0

-c DATEI
    lädt eine andere Konfigurationsdatei. Standardmäßig versucht thinkfan zuerst, /etc/thinkfan.yaml zu laden, und danach /etc/thinkfan.conf. Erstere muss im YAML-Format vorliegen und Letztere kann entweder im YAML-Format oder der alten klassischen Syntax geschrieben sein. Falls diese Option angegeben ist, versucht thinkfan, die Konfiguration nur aus dieser DATEI zu laden. Falls deren Name mit .yaml endet, muss sie im YAML-Format vorliegen, anderenfalls kann sie entweder im YAML-Format oder der alten klassischen Syntax geschrieben sein. Siehe thinkfan.conf(5) und thinkfan.conf.legacy(5) für Details.

-n  wird nicht zum Hintergrunddienst und schreibt in das Terminal anstatt in das Systemprotokoll

-q  aktiviert den stillen Modus, das heißt, reduziert die Protokollierstufe gegenüber der Standardeinstellung. Dis kann mehrfach angegeben werden, bis nur noch Fehlermeldungen angezeigt bzw. protokolliert werden.

-v  aktiviert ausführlichere Ausgaben. Dies kann mehrfach angegeben werden, bis wirklich jede Meldung angezeigt bzw. protokolliert wird.

-p [SEKUNDEN]
    verwendet den »Pulsing Fan Workaround« (Behebung des Problems mit pulsierend beschleunigenden Lüftern bei älteren Thinkpads). Akzeptiert ein optionales Gleitkommazahl-Argument (0-10s) als Dauer der Anwendung. Standardmäßig 0,5 Sekunden.

-d  liest die Temperatur von schlafenden Platten nicht aus. Stattdessen wird 0 °C als Temperatur der Platte angenommen. Dies soll verhindern, dass das Auslesen der Temperatur Ihre Platte unnötig aufweckt. Hinweis: Diese Option ist nur verfügbar, wenn Thinkfan mit »-D USE_ATASMART« erstellt wurde.

-D  Modus »DANGEROUS«: Alle Plausibilitätsprüfungen werden deaktiviert. Ihre Hardware könnte beschädigt werden!

SIGNALE
SIGINT und SIGTERM brechen den Vorgang einfach ab und sollten dazu führen, dass Thinkfan sauber beendet wird.

SIGHUP weist Thinkfan an, seine Konfiguration neu zu laden. Sollte es Probleme mit der neuen Konfiguration geben, wird die alte Konfiguration beibehalten.

SIGUSR1 weist Thinkfan an, alle aktuell bekannten Temperaturen entweder in das Systemprotokoll oder in die Konsole auszugeben. Für die Ausgabe in die Konsole muss die Option -n übergeben werden.

RÜCKGABEWERT

0   Normales Beenden

1   Laufzeitfehler

2   Unerwarteter Laufzeitfehler

3   Ungültige Befehlszeilenoption

SIEHE AUCH
Die Handbuchseite zur Konfiguration von thinkfan:
thinkfan.conf(5)
Beispielkonfigurationen, die mit der Quelldistribution mitgeliefert werden, sind auch hier verfügbar:
https://github.com/vmatare/thinkfan/tree/master/examples
Die Dokumentation der Hwmon-Benutzerschnittstelle von Linux:
https://www.kernel.org/doc/html/latest/hwmon/sysfs-interface.html
Dokumentation zur thinkpad_acpi-Schnittstelle:
https://www.kernel.org/doc/html/latest/admin-guide/laptops/thinkpad-acpi.html

FEHLER
Falls Thinkfan Sie darum bittet oder Sie selbst den Eindruck haben, einen Fehler gefunden zu haben, melden Sie ihn auf Github: https://github.com/vmatare/thinkfan/issues

ÜBERSETZUNG
Die deutsche Übersetzung dieser Handbuchseite wurde von Mario Blättermann <mario.blaettermann@gmail.com> erstellt.

Diese Übersetzung ist Freie Dokumentation; lesen Sie die GNU General Public License Version 3 (https://www.gnu.org/licenses/gpl-3.0.html) oder neuer bezüglich der Copyright-Bedingungen. Es wird KEINE HAFTUNG übernommen.

Wenn Sie Fehler in der Übersetzung dieser Handbuchseite finden, schicken Sie bitte eine E-Mail an die Mailingliste der Übersetzer (debian-l10n-german@lists.debian.org).